<?php
/**
 * The main template file
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Actify
 */

get_header();
?>

<?php if ( is_home() && is_front_page() && get_theme_mod( 'actify_display_cover_section', false ) ) : ?>
	<section class="row align-items-center justify-content-center gs-cover-section">
		<div class="col-md-12">
			<div class="gs-cover-img" style="background-image: url('<?php echo esc_attr( get_theme_mod( 'actify_cover_img', get_template_directory_uri() . '/assets/images/cover-img.jpg' ) ); ?>')">
				<div class="gs-cover-content d-flex justify-content-center align-items-center">
					<div class="col-md-8 text-center">
						<h2 class="gs-cover-title"><?php echo esc_attr( get_theme_mod( 'actify_cover_title', __( 'Create A Beautiful Blog Easily.', 'actify' ) ) ); ?></h2>
						<p class="gs-cover-subtitle"><?php echo esc_attr( get_theme_mod( 'actify_cover_subtitle', __( 'Actify is a simple and easy to use blog theme. It is designed and developed primarily to create professional blogging websites with Gutenberg editor.', 'actify' ) ) ); ?></p>
					</div>
				</div>
			</div>
		</div>
	</section>
<?php endif; ?>

<div class="row justify-content-center">

	<?php if ( get_theme_mod( 'actify_sidebar_position', 'hide' ) === 'left' ) : ?>
		<div class="col-md-4 order-md-0 order-1">
			<?php get_sidebar(); ?>
		</div>
	<?php endif; ?>

	<div id="primary" class="content-area col-md-8">
		<main id="main" class="site-main">

		<?php
		if ( have_posts() ) :

			if ( is_home() && ! is_front_page() ) :
				?>
				<header>
					<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
				</header>
				<?php
			endif;

			/* Start the Loop */
			while ( have_posts() ) :
				the_post();

				// Include the Post-Type-specific template for the content.
				get_template_part( 'template-parts/content', get_post_type() );

			endwhile;

			the_posts_pagination( array(
				'mid_size'  => 2,
				'prev_text' => __( 'Back', 'actify' ),
				'next_text' => __( 'Next', 'actify' ),
			) );

		else :

			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>

		</main><!-- #main -->
	</div><!-- #primary -->

	<?php if ( get_theme_mod( 'actify_sidebar_position', 'hide' ) === 'right' ) : ?>
		<div class="col-md-4">
			<?php get_sidebar(); ?>
		</div>
		<!-- /.col-md-4 -->
	<?php endif; ?>

</div>
<!-- /.row -->
<?php
get_footer();
